Subject: Re: bug#56335: 29.0.50; [PATCH] Add more breakpoint chars support to longlines-mode

From: Juri Linkov <[email-masked]>
Date: Wed, 06 Jul 2022 21:49:10 +0300

>>> I'm now trying to update the search/query-replace but I don't understand
>>> how 'search-spaces-regex' works. It seems that with it I should be able
>>> to jump above soft newlines during search, but how ?
>>
>> Hm, not sure either...
>
> Ok. As far as I understand, a search will use `search-spaces-regex' in
> place of an explicit space entered by the user at prompt.
>
> So I could use this to match separators (and newline) when a space is
> entered but it won't automatically «jump» soft newlines as I wanted.
>
> Example with this longlines-mode content:
>
> Element1|Element2|
> Element3|
>
> Searching for "|Element3|" won't match but I could use
> `search-spaces-regex' to make searching for " Element3 " match. What do
> you think?

After longlines.el was unobsoleted, I checked that its search/replace 
functions have correct implementation: longlines-search-function,
longlines-search-forward, longlines-re-search-forward, all looks correct.

Or do you mean that you tried to implement a new feature where
whitespace contains non-whitespace characters?  Have you tried
to change the value of search-spaces-regexp to include such
characters?